<?php

/**
 * Typography
 *
 * @package Charity_Elite
 */

$wp_customize->add_section(
	'charity_elite_typography',
	array(
		'panel' => 'charity_elite_theme_options',
		'title' => esc_html__( 'Typography', 'charity-elite' ),
	)
);

// Typography - Site Title Font.
$wp_customize->add_setting(
	'charity_elite_site_title_font',
	array(
		'default'           => 'Lora',
		'sanitize_callback' => 'charity_elite_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'charity_elite_site_title_font',
	array(
		'label'    => esc_html__( 'Site Title Font Family', 'charity-elite' ),
		'section'  => 'charity_elite_typography',
		'settings' => 'charity_elite_site_title_font',
		'type'     => 'select',
		'choices'  => charity_elite_get_all_google_font_families(),
	)
);

// Typography - Site Description Font.
$wp_customize->add_setting(
	'charity_elite_site_description_font',
	array(
		'default'           => 'Poppins',
		'sanitize_callback' => 'charity_elite_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'charity_elite_site_description_font',
	array(
		'label'    => esc_html__( 'Site Description Font Family', 'charity-elite' ),
		'section'  => 'charity_elite_typography',
		'settings' => 'charity_elite_site_description_font',
		'type'     => 'select',
		'choices'  => charity_elite_get_all_google_font_families(),
	)
);

// Typography - Header Font.
$wp_customize->add_setting(
	'charity_elite_header_font',
	array(
		'default'           => 'Lora',
		'sanitize_callback' => 'charity_elite_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'charity_elite_header_font',
	array(
		'label'    => esc_html__( 'Header Font Family', 'charity-elite' ),
		'section'  => 'charity_elite_typography',
		'settings' => 'charity_elite_header_font',
		'type'     => 'select',
		'choices'  => charity_elite_get_all_google_font_families(),
	)
);

// Typography - Body Font.
$wp_customize->add_setting(
	'charity_elite_body_font',
	array(
		'default'           => 'Poppins',
		'sanitize_callback' => 'charity_elite_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'charity_elite_body_font',
	array(
		'label'    => esc_html__( 'Body Font Family', 'charity-elite' ),
		'section'  => 'charity_elite_typography',
		'settings' => 'charity_elite_body_font',
		'type'     => 'select',
		'choices'  => charity_elite_get_all_google_font_families(),
	)
);
